Group: Graphical desktop/KDE
BuildRequires: pkgconfig(x11) pkgconfig(gio-2.0) pkgconfig(gthread-2.0)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Summary: XSettings Daemon for KDE
Name:    xsettings-kde
Version: 0.12.3
Release: alt1_14

License: GPLv2+
URL:     http://projects.kde.org/xsettings-kde
Source0: http://distro.ibiblio.org/pub/linux/distributions/mageia/software/xsettings-kde/%{version}/xsettings-kde-%{version}.tar.bz2

## upstream patches
Patch1: 0001-The-IM-support-patch-from-1-imported-into-Mageia-in-.patch
Patch2: 0002-Drop-Ia-Ora-theme-support.patch
Patch3: 0003-Enable-PrimaryPaste.patch
Patch4: 0004-Use-Adwaita-instead-of-gnome-as-fallback-icon-theme.patch

# fedora doesn't use ~/.kde4 like mandriva
Patch100: xsettings-kde-0.9-kde4.patch
# rewrite Net/ThemeName handling: set it based on .gtkrc-2.0-kde4 (kcm-gtk)
# This makes sure GTK+ 3 also picks up the theme setting from kcm-gtk.
# TODO: Discuss with upstream.
Patch102: xsettings-kde-0.12.3-gtktheme.patch

Source10: xsettings-kde.desktop

BuildRequires: glib2-devel libgio libgio-devel
BuildRequires: libX11-devel

%description
This package provides a XSettings daemon for KDE Desktop Environment.
It allows XSettings aware applications (all GTK+ 2 and GNOME 2 applications)
to be informed instantly of changes in KDE configuration, such as theme name,
default font and so on.


%prep
%setup -q

%patch1 -p1 -b .0001
## don't apply patch2 in favor of patch102 below
#patch2 -p1 -b .0002
%patch3 -p1 -b .0003
%patch4 -p1 -b .0004

%patch100 -p1 -b .kde4
%patch102 -p1 -b .gtktheme


%build
%make_build CFLAGS="%{optflags}" lib=%{_lib}


%install
install -p -m755 -D  xsettings-kde %{buildroot}%{_bindir}/xsettings-kde

install -p -m644 -D %{SOURCE10} \
  %{buildroot}%{_sysconfdir}/xdg/autostart/xsettings-kde.desktop


%files 
%doc ChangeLog README
%doc COPYING
%{_bindir}/xsettings-kde
%{_sysconfdir}/xdg/autostart/xsettings-kde.desktop


%changelog
* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.12.3-alt1_14
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.12.3-alt1_13
- update to new release by fcimport

* Fri Oct 23 2015 Igor Vlasenko <viy@altlinux.ru> 0.12.3-alt1_11
- new version

